> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all datasets

> Use this endpoint to list all datasets that are available.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/datasets
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/datasets:
    get:
      tags:
        - Datasets
      summary: List all datasets
      description: |
        Use this endpoint to list all datasets that are available.
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: The object containing the data for a successful response.
                    properties:
                      mart_id:
                        type: string
                        description: The ID of the dataset (aka. mart ID)
                      name:
                        type: string
                        description: The name of the dataset
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````